> ## Documentation Index
> Fetch the complete documentation index at: https://opencode.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the session log

> Experimental durable session event log. Reads events after an exclusive aggregate sequence and continues with live events when follow=true.



## OpenAPI

````yaml /openapi.json get /api/experimental/session/{sessionID}/log
openapi: 3.1.0
info:
  title: opencode HttpApi
  version: 0.0.1
  description: Experimental HttpApi surface for selected instance routes.
servers: []
security: []
tags:
  - name: health
  - name: server
  - name: location
  - name: agent
  - name: plugin
    description: Experimental plugin routes.
  - name: session
    description: Experimental session routes.
  - name: session
    description: Experimental message routes.
  - name: model
    description: Experimental model routes.
  - name: generate
    description: Experimental one-shot generation routes.
  - name: provider
    description: Experimental provider routes.
  - name: integration
    description: Integration discovery and authentication routes.
  - name: mcp
    description: MCP server and resource routes.
  - name: credential
  - name: project
    description: Location-scoped project routes.
  - name: form
    description: Session form routes.
  - name: permission
    description: Experimental permission routes.
  - name: filesystem
    description: Experimental location-scoped filesystem routes.
  - name: command
    description: Experimental command routes.
  - name: skill
    description: Experimental skill routes.
  - name: event
    description: Experimental event stream routes.
  - name: pty
    description: Experimental location-scoped PTY routes.
  - name: shell
    description: Experimental location-scoped shell command routes.
  - name: question
    description: Experimental session question routes.
  - name: reference
    description: Location-scoped project references.
  - name: projectCopy
    description: Project copy management routes.
  - name: vcs
    description: Location-scoped version control routes.
  - name: debug
paths:
  /api/experimental/session/{sessionID}/log:
    get:
      tags:
        - session
      summary: Read the session log
      description: >-
        Experimental durable session event log. Reads events after an exclusive
        aggregate sequence and continues with live events when follow=true.
      operationId: v2.session.log
      parameters:
        - name: sessionID
          in: path
          schema:
            type: string
            allOf:
              - pattern: ^ses
          required: true
        - name: after
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: follow
          in: query
          schema:
            anyOf:
              - type: string
                enum:
                  - 'true'
                  - 'false'
              - type: 'null'
          required: false
      responses:
        '200':
          description: Success
          content:
            text/event-stream:
              schema:
                type: object
                properties:
                  id:
                    anyOf:
                      - type: string
                      - type: 'null'
                  event:
                    type: string
                  data:
                    $ref: '#/components/schemas/SessionLogItemStream'
                required:
                  - id
                  - event
                  - data
                additionalProperties: false
              x-effect-stream:
                encoding: sse
                causeSchema:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          _tag:
                            type: string
                            enum:
                              - Fail
                          error:
                            not: {}
                        required:
                          - _tag
                          - error
                        additionalProperties: false
                      - type: object
                        properties:
                          _tag:
                            type: string
                            enum:
                              - Die
                          defect: {}
                        required:
                          - _tag
                          - defect
                        additionalProperties: false
                      - type: object
                        properties:
                          _tag:
                            type: string
                            enum:
                              - Interrupt
                          fiberId:
                            anyOf:
                              - type: number
                              - type: 'null'
                        required:
                          - _tag
                          - fiberId
                        additionalProperties: false
                errorSchema:
                  not: {}
                failureEvent: effect/httpapi/stream/failure
        '400':
          description: InvalidRequestError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestError'
        '401':
          description: UnauthorizedError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: SessionNotFoundError
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/SessionNotFoundError'
                  - $ref: '#/components/schemas/SessionNotFoundError'
      security: []
components:
  schemas:
    SessionLogItemStream:
      type: string
      contentSchema:
        $ref: '#/components/schemas/SessionLogItem'
      contentMediaType: application/json
    InvalidRequestError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InvalidRequestError
        message:
          type: string
        kind:
          anyOf:
            - type: string
            - type: 'null'
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnauthorizedError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnauthorizedError
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    SessionNotFoundError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - SessionNotFoundError
        sessionID:
          type: string
        message:
          type: string
      required:
        - _tag
        - sessionID
        - message
      additionalProperties: false

````